play.db.helper

## Class SqlQuery

- java.lang.Object
- - play.db.helper.SqlQuery

- Direct Known Subclasses:
    SqlSelect, SqlUnion

      public abstract class SqlQuery
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SqlQuery.Concat`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Object>` | `params`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SqlQuery()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Object>` | `getParams()`
    `static java.lang.String` | `inlineParam(java.lang.Object param)`
    `SqlQuery` | `param(java.lang.Object obj)`
    `int` | `paramCurrentIndex()`
    `SqlQuery` | `params(java.lang.Object... objs)`
    `java.lang.String` | `pmark()`
    `java.lang.String` | `pmark(int offset)`
    `static java.lang.String` | `quote(java.lang.String str)`
    `static java.lang.String` | `whereIn(java.lang.String column, java.lang.Object param)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected java.util.List<java.lang.Object> params

  - ### Constructor Detail

    - #### SqlQuery

          protected SqlQuery()

  - ### Method Detail

    - #### param

          public SqlQuery param(java.lang.Object obj)

    - #### params

          public SqlQuery params(java.lang.Object... objs)

    - #### getParams

          public java.util.List<java.lang.Object> getParams()

    - #### paramCurrentIndex

          public int paramCurrentIndex()

    - #### pmark

          public java.lang.String pmark()

    - #### pmark

          public java.lang.String pmark(int offset)

    - #### quote

          public static java.lang.String quote(java.lang.String str)

    - #### inlineParam

          public static java.lang.String inlineParam(java.lang.Object param)

    - #### whereIn

          public static java.lang.String whereIn(java.lang.String column,
                                                 java.lang.Object param)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly